## Adaptation function between system of non-linear equation 
## and optimisation equation
## 
function total=f_ONL(f,x)
     n_equation=length(x);
     total=0.0;
     f1=f(x);
     for i=1:n_equation
       total=total+f1(i)*f1(i);
     endfor
endfunction